<?php
	function openurl($url) 
	{}
	
	$workingkey      =     "";  //use your sms api username
	$sender     	 =     "";//use your sms api sender id
	
	############## get current indian timing depends upon the server ############
		
	$SLCT_cur_dt_time = "SELECT DATE_ADD( now( ) , INTERVAL 0.00 HOUR_MINUTE ) AS CUR_TIME";
	$QRY_cur_dt_time  = mysqli_query($connect,$SLCT_cur_dt_time);
	$FTCH_cur_dt_time = mysqli_fetch_object($QRY_cur_dt_time);
	$cur_time         = $FTCH_cur_dt_time->CUR_TIME;
	$cur_date		  = explode(" ",$cur_time);
	$cur_date		  = $cur_date[0];
	


	##############################################--- SCREEN TITLES

	$ADMINPANEL_TITLE 	= ":: PROJECT NAME ^ Administrator Panel ::";
	
	$USERPANEL_TITLE	= ":: THAHAAYAA ::";
	
	$PROJECT_TITLE		= "Internal Software";
	
	
	$currentFile1 = $_SERVER["PHP_SELF"];
	$parts1 = Explode('/', $currentFile1);
	$result1= $parts1[count($parts1) - 1];
	$parts2 = Explode('?', $result1);
	$result2= $parts2[0];
	//echo $result2;
	
	$SLCT_ms="SELECT * FROM `menu_det` WHERE `screen_name`='$result2'";
	//echo $SLCT_ms;
	$QURY_ms=mysqli_query($connect,$SLCT_ms);
	if(mysqli_num_rows($QURY_ms)>0)
	{
		$FTCH_ms=mysqli_fetch_object($QURY_ms);
		$mani_menu_id	= $FTCH_ms->menu_id;
		$menu_id	= $FTCH_ms->screen_id;
	}
	else
	{
		$mani_menu_id = 0;
		$menu_id = 0;
	}
	
	function convert_number_to_words($number) {
    
    $hyphen      = '';
    $conjunction = ' and ';
    $separator   = ' ';
    $negative    = 'negative ';
    $decimal     = ' point ';
    $dictionary  = array(
        0                   => 'zero',
        1                   => 'one',
        2                   => 'two',
        3                   => 'three',
        4                   => 'four',
        5                   => 'five',
        6                   => 'six',
        7                   => 'seven',
        8                   => 'eight',
        9                   => 'nine',
        10                  => 'ten',
        11                  => 'eleven',
        12                  => 'twelve',
        13                  => 'thirteen',
        14                  => 'fourteen',
        15                  => 'fifteen',
        16                  => 'sixteen',
        17                  => 'seventeen',
        18                  => 'eighteen',
        19                  => 'nineteen',
        20                  => 'twenty',
        30                  => 'thirty',
        40                  => 'fourty',
        50                  => 'fifty',
        60                  => 'sixty',
        70                  => 'seventy',
        80                  => 'eighty',
        90                  => 'ninety',
        100                 => 'hundred',
        1000                => 'thousand',
        1000000             => 'million',
        1000000000          => 'billion',
        1000000000000       => 'trillion',
        1000000000000000    => 'quadrillion',
        1000000000000000000 => 'quintillion'
    );
    
    if (!is_numeric($number)) {
        return false;
    }
    
    if (($number >= 0 && (int) $number < 0) || (int) $number < 0 - PHP_INT_MAX) {
        // overflow
        trigger_error(
            'convert_number_to_words only accepts numbers between -' . PHP_INT_MAX . ' and ' . PHP_INT_MAX,
            E_USER_WARNING
        );
        return false;
    }

    if ($number < 0) {
        return $negative . convert_number_to_words(abs($number));
    }
    
    $string = $fraction = null;
    
    if (strpos($number, '.') !== false) {
        list($number, $fraction) = explode('.', $number);
    }
    
    switch (true) {
        case $number < 21:
            $string = $dictionary[$number];
            break;
        case $number < 100:
            $tens   = ((int) ($number / 10)) * 10;
            $units  = $number % 10;
            $string = $dictionary[$tens];
            if ($units) {
                $string .= $hyphen . $dictionary[$units];
            }
            break;
        case $number < 1000:
            $hundreds  = $number / 100;
            $remainder = $number % 100;
            $string = $dictionary[$hundreds] . ' ' . $dictionary[100];
            if ($remainder) {
                $string .= $conjunction . convert_number_to_words($remainder);
            }
            break;
        default:
            $baseUnit = pow(1000, floor(log($number, 1000)));
            $numBaseUnits = (int) ($number / $baseUnit);
            $remainder = $number % $baseUnit;
            $string = convert_number_to_words($numBaseUnits) . ' ' . $dictionary[$baseUnit];
            if ($remainder) {
                $string .= $remainder < 100 ? $conjunction : $separator;
                $string .= convert_number_to_words($remainder);
            }
            break;
    }
    
    if (null !== $fraction && is_numeric($fraction)) {
        $string .= $decimal;
        $words = array();
        foreach (str_split((string) $fraction) as $number) {
            $words[] = $dictionary[$number];
        }
        $string .= implode(' ', $words);
    }
    
    return $string;
}

// THIS IS FOR ADMIN PANEL CONDITION
if(isset($_SESSION['admin_login_id']))
{
	$results= $parts1[count($parts1) - 2];
	if($results != 'client'  && $results != 'bl' && $results != 'ajax')
	{
		if($_SESSION['admin_login_id'] != '')
		{
			$SLCT_ad = "SELECT * FROM admin WHERE admin_id = '$_SESSION[admin_login_id]'";
			$QURY_ad = mysqli_query($connect,$SLCT_ad);
			$FTCH_ad = mysqli_fetch_object($QURY_ad);
			
			if($FTCH_ad->designation == 'client' || $FTCH_ad->designation == 'guest_user' || $results == 'employee')
			{
				unset($_SESSION['daid']);
				unset($_SESSION['dunm']);
				unset($_SESSION['username']);			
				session_destroy();
			
				echo "<script>window.location='index.php';</script>";
			}
				
		}		
		
	}	
}

// THIS IS FOR CLIENT PANEL CODITIONS

if(isset($_SESSION['admin_login_id']))
{
	$results= $parts1[count($parts1) - 2];
	if($results == 'client')
	{
		if($_SESSION['admin_login_id'] != '')
		{
			$SLCT_ad = "SELECT * FROM admin WHERE admin_id = '$_SESSION[admin_login_id]'";
			$QURY_ad = mysqli_query($connect,$SLCT_ad);
			$FTCH_ad = mysqli_fetch_object($QURY_ad);
			
			if($FTCH_ad->designation != 'client' && $FTCH_ad->designation != 'guest_user')
			{
				unset($_SESSION['daid']);
				unset($_SESSION['dunm']);
				unset($_SESSION['username']);			
				session_destroy();
			
				echo "<script>window.location='../index.php';</script>";
			}
				
		}		
		
	}	
}
// THIS FOR CC MAIL ID
function total_acc_call($pa_id)
{
	$SLCT = "SELECT * FROM acc_rep_temp WHERE party_det_id = '$pa_id' ORDER BY STR_TO_DATE(entry_date,'%d-%m-%Y') ASC";
	$QURY = mysqli_query($connect,$SLCT);
	$open_amt = 0;
	$tot_bil_amt = 0;
	$tot_rec_amt = 0;
	$tot_dis_amt = 0;	
	while($FTCH = mysqli_fetch_object($QURY))
	{
		if($FTCH->data_type=="billing")
		{
			$SLCT_tpb = "SELECT * FROM billing_det WHERE billing_det_id = '$FTCH->billing_det_id'";
			$QURY_tpb = mysqli_query($connect,$SLCT_tpb);
			$FTCH_tpb = mysqli_fetch_object($QURY_tpb);
	
			$bill_amt	= number_format($FTCH_tpb->bill_amt,2);
			$received_amt  = '';
			$dis_amt  = '';
			$tot_bil_amt = $tot_bil_amt + $FTCH_tpb->bill_amt;
		}
		else
		{
			$bill_amt	= '';
			
			$SLCT_t = "SELECT * FROM ac_received_det WHERE ac_received_det_id = '$FTCH->ac_received_det_id'";
			$QURY_t = mysqli_query($connect,$SLCT_t);
			$FTCH_t = mysqli_fetch_object($QURY_t);
			
			$re_am = ($FTCH_t->received_amt!=0)?$FTCH_t->received_amt:$FTCH_t->cred_amt;
			
			$tot_rec_amt = $tot_rec_amt + $re_am;
			$tot_dis_amt = $tot_dis_amt + $FTCH_t->dis_amt;
			
			$received_amt  = number_format($re_am,2);
			$dis_amt  = number_format($FTCH_t->dis_amt,2);
		}
	}
	$tot_re_amt = $tot_rec_amt + $tot_dis_amt; 
	$pen = $tot_bil_amt - $tot_re_amt ; 
	if($pen<0)
	{
		$tot_adv_amt = trim($pen,"-");
		$tot_pen_amt = 0;
	}
	else if($pen>=0)
	{
		$tot_pen_amt = $pen;
		$tot_adv_amt = 0;
	}
	$amountArray	=array($tot_bil_amt,$tot_re_amt,$tot_adv_amt,$tot_pen_amt,$tot_dis_amt);
	return $amountArray;
}
$cc_id = 'tcdadmi@gmail.com';
?>